#ifndef __CONVERT_H__
#define __CONVERT_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Check charset's code: 0 = ok, 1 = err */
int check_code(char *c);

/* Set conversion - returns context used in convert_* */
void *set_conversion(char *s, char *d);

/* converts byte */
unsigned char convert_byte(unsigned char *ctx, unsigned char b);

/* converts string: 0 = ok, 1 = err */
int convert_string(unsigned char *ctx, unsigned char *string);

#ifdef __cplusplus
}
#endif

#endif

/* vim: set ts=4 cindent shiftwidth=4 tw=0 : */
