#ifndef __FONTOP_H__
#define __FONTOP_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "fdefines.h"

/* Detect EGA adapter */
t_bool is_ega(void);

/* Font functions initialization */
t_bool font_init(void);

/* Font functions deinitialization */
t_bool font_shut(void);

/* Font switching */
t_bool font_switch(char *name);

/* Get current font */
t_bool vgagetfont(unsigned char *fnt);

/* Set font */
t_bool vgasetfont(unsigned char *fnt);

#ifdef __cplusplus
}
#endif


#endif

/* vim: set ts=4 cindent shiftwidth=4 tw=0 : */
