#ifndef __KEYS_H__
#define __KEYS_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Note: Not all of these keys can be generated ! */

/* (NEVER) flag means that this code won't be inserted into table */
#define W_KEY_TAB		9 /* (NEVER) '\t' */
#define W_KEY_ENTER		13 /* (NEVER) '\r' */
#define W_KEY_ESC		27 /* (NEVER) ESC */
#define W_KEY_BACKSPACE	8 /* (NEVER) '\b' */
#define W_KEY_SPACE		32 /* (NEVER) ' ' */

/* These are non-ascii: */
#define W_KEY_F1		256
#define W_KEY_F2		257
#define W_KEY_F3		258
#define W_KEY_F4		259
#define W_KEY_F5		260
#define W_KEY_F6		261
#define W_KEY_F7		262
#define W_KEY_F8		263
#define W_KEY_F9		264
#define W_KEY_F10		265
#define W_KEY_F11		266
#define W_KEY_F12		267

#define W_KEY_CAPSLOCK	268
#define W_KEY_NUMLOCK	269
#define W_KEY_SCROLLOCK	270

#define W_KEY_LSHIFT	271
#define W_KEY_RSHIFT	272
#define W_KEY_LCTRL		273
#define W_KEY_RCTRL		274
#define W_KEY_LALT		275
#define W_KEY_RALT		276

#define W_KEY_LWIN		277
#define W_KEY_RWIN		278
#define W_KEY_RMENU		279

#define W_KEY_PRTSCR	280
#define W_KEY_PAUSE		281

#define W_KEY_INS		282
#define W_KEY_HOME		283
#define W_KEY_PGUP		284
#define W_KEY_DEL		285
#define W_KEY_END		286
#define W_KEY_PGDN		287

#define W_KEY_UP		288
#define W_KEY_LEFT		289
#define W_KEY_DOWN		290
#define W_KEY_RIGHT		291

#ifdef __cplusplus
}
#endif
	
#endif

/* vim: set ts=4 cindent shiftwidth=4 tw=0 : */
